Subject: open house at Fungi Perfecti

From: [email-masked] (Stamets 1)
Date: 12 Apr 1997 18:42:29 GMT

I am having a gathering at Fungi Perfecti on April 26 at 2:00 pm which is
open to all members of mycological societies, members of MSA and NAMA. I
expect quite a crowd and can't afford to feed everyone. Nevertheless, the
mycologically inclined are welcome to visit. I have spectacular fruitings
of Ganoderma lucidum, and also fruitings of Grifola frondosa, Pholiota
nameko, Flammulina velutipes, and others. Our facility is small, and since
this is also my home, i ask visitors to be there at 2:00 and leave no
later than 5:00 (pm!). (Tours to our facility occur once every two or
three years.) We are located between Olympia and Shelton Washington, 3
miles from hwy 101. A map is being provided and can be faxed to you. Car
pooling is advised, since parking is limited. (Please park along the
street.) 

Thank you.

paul stamets

ps: FP will also be open for a few hours. 10% discounts are offerred to
current mycological society members.